libnvme(2)

NAME
struct nvme_fw_download_args - Arguments for the NVMe Firmware Download command

SYNOPSIS
struct nvme_fw_download_args {
__u32 *result;
void *data;
int args_size;
int fd;
__u32 timeout;
__u32 offset;
__u32 data_len;
};

Members

result
    The command completion result from CQE dword0

data
    Userspace address of the firmware data

args_size
    Size of struct nvme_fw_download_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

offset
    Offset in the firmware data

data_len
    Length of data in this command in bytes